<?php
namespace WpBookingHotelFrontend\app\views\hotels;
use WpBookingHotel\Mvc\Model\Model;
use WpBookingHotel\Mvc\View\View;

class HotelsView extends View
{
    public function display($tpl){
        $modelHotel = Model::getInstance('hotel');
        $modelHotels = Model::getInstance('hotels');
        $modelRoomtypes = Model::getInstance('roomtype');
        $this->form = $modelHotels->getFilterFormHotel();

        $this->list = $modelHotels->getList();

        $this->list_roomtype = $modelRoomtypes->getList();
        $this->total_item = $modelHotels->getTotalRecord();
        return parent::display($tpl);
    }
}